POST /v2/updates/update-by-id
curl --request POST \
--url https://api.example.com/v2/updates/update-by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateId": "<string>",
"updateFormat": {
"includeReassignments": {
"filtersByParty": {},
"filtersForAnyParty": {
"cumulative": [
{
"identifierFilter": {
"Empty": {}
}
}
]
},
"verbose": true
},
"includeTopologyEvents": {
"includeParticipantAuthorizationEvents": {
"parties": [
"<string>"
]
}
}
}
}
'import requests
url = "https://api.example.com/v2/updates/update-by-id"
payload = {
"updateId": "<string>",
"updateFormat": {
"includeReassignments": {
"filtersByParty": {},
"filtersForAnyParty": { "cumulative": [{ "identifierFilter": { "Empty": {} } }] },
"verbose": True
},
"includeTopologyEvents": { "includeParticipantAuthorizationEvents": { "parties": ["<string>"] } }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updateId: '<string>',
updateFormat: {
includeReassignments: {
filtersByParty: {},
filtersForAnyParty: {cumulative: [{identifierFilter: {Empty: {}}}]},
verbose: true
},
includeTopologyEvents: {includeParticipantAuthorizationEvents: {parties: ['<string>']}}
}
})
};
fetch('https://api.example.com/v2/updates/update-by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"update": {
"OffsetCheckpoint": {
"value": {
"offset": 123,
"synchronizerTimes": [
{
"synchronizerId": "<string>",
"recordTime": "<string>"
}
]
}
}
}
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}POST /v2/updates/update-by-id
Lookup an update by its ID. If there is no update with this ID, or all the events are filtered, an UPDATE_NOT_FOUND error will be raised.
POST
/
v2
/
updates
/
update-by-id
POST /v2/updates/update-by-id
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Body
application/json
Response
- Update
- Update
- Update
- Update
Show child attributes
Show child attributes
Was this page helpful?
⌘I